io.vertx.lang.groovy

## Class GroovyVerticle

- java.lang.Object
- - io.vertx.lang.groovy.GroovyVerticle

- Deprecated.
  use `AbstractVerticle` instead

      public class GroovyVerticle
      extends Object

  A base class for Groovy verticles.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Context` | `context` Deprecated.
    `protected Vertx` | `vertx` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyVerticle()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Verticle` | `asJavaVerticle()` Deprecated.
    `void` | `start()` Deprecated. If your verticle does a simple, synchronous start-up then override this method and put your start-up code in there.
    `void` | `start(Future<Void> startFuture)` Deprecated. Start the verticle instance.
    `void` | `stop()` Deprecated. If your verticle has simple synchronous clean-up tasks to complete then override this method and put your clean-up code in there.
    `void` | `stop(Future<Void> stopFuture)` Deprecated. Stop the verticle instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vertx

          protected Vertx vertx

      Deprecated.

    - #### context

          protected Context context

      Deprecated.

  - ### Constructor Detail

    - #### GroovyVerticle

          public GroovyVerticle()

      Deprecated.

  - ### Method Detail

    - #### start

          public void start()
                     throws Exception

      Deprecated.
      If your verticle does a simple, synchronous start-up then override this method and put your start-up code in there.
      Throws:
        `Exception`

    - #### stop

          public void stop()
                    throws Exception

      Deprecated.
      If your verticle has simple synchronous clean-up tasks to complete then override this method and put your clean-up code in there.
      Throws:
        `Exception`

    - #### start

          public void start(Future<Void> startFuture)
                     throws Exception

      Deprecated.
      Start the verticle instance.

      Vert.x calls this method when deploying the instance. You do not call it yourself.

      A future is passed into the method, and when deployment is complete the verticle should either call `Future.complete(T)` or `Future.fail(java.lang.Throwable)` the future.

      Parameters:
        `startFuture` - the future
      Throws:
        `Exception`

    - #### stop

          public void stop(Future<Void> stopFuture)
                    throws Exception

      Deprecated.
      Stop the verticle instance.

      Vert.x calls this method when un-deploying the instance. You do not call it yourself.

      A future is passed into the method, and when un-deployment is complete the verticle should either call `Future.complete(T)` or `Future.fail(java.lang.Throwable)` the future.

      Parameters:
        `stopFuture` - the future
      Throws:
        `Exception`

    - #### asJavaVerticle

          public Verticle asJavaVerticle()

      Deprecated.
      Returns:
        the Java `Verticle` adapter for this Groovy Verticle

Copyright © 2017. All rights reserved.